Patch Project
PATCH
/api/projects/{project_id}
const url = 'https://example.com/api/projects/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/projects/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'Update selected fields of an existing project.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Patch
object
key
additional properties
any
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ProjectRecord
object
title
required
Title
string
aspect_ratio
Aspect Ratio
string
status
Status
string
characters
Characters
Array<string>
narrator_voice
Any of:
VoiceConfig
TTS voice configuration for a character or narrator.
null
metadata
Metadata
object
key
additional properties
any
Example
{ "aspect_ratio": "9:16", "status": "draft", "narrator_voice": { "provider": "elevenlabs" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}